Page MenuHomePhabricator

Catchable fatal error: Argument 2 passed to Monolog\Logger::debug() must be an instance of array, string given in /srv/mediawiki/php-1.28.0-wmf.8/vendor/monolog/monolog/src/Monolog/Logger.php on line 532
Closed, ResolvedPublic1 Story Points

Description

This is creating some log spam:

Catchable fatal error: Argument 2 passed to Monolog\Logger::debug() must be an instance of array, string given in /srv/mediawiki/php-1.28.0-wmf.8/vendor/monolog/monolog/src/Monolog/Logger.php on line 532

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 6 2016, 3:03 PM
MaxSem added a subscriber: MaxSem.

Found by live patching the beta cluster:

2016-07-07 21:30:38 [V37J-gpEEaoAABmz9v4AAAAE] deployment-mediawiki01 enwiki 1.28.0-alpha exception ERROR: [V37J-gpEEaoAABmz9v4AAAAE] /w/api.php   Exception from line 531 of /srv/mediawiki/php-master/vendor/monolog/monolog/src/Monolog/Logger.php: Context should be array! {"exception_id":"V37J-gpEEaoAABmz9v4AAAAE"}
[Exception Exception] (/srv/mediawiki/php-master/vendor/monolog/monolog/src/Monolog/Logger.php:531) Context should be array!
  #0 /srv/mediawiki/php-master/extensions/VisualEditor/ApiVisualEditor.php(148): Monolog\Logger->debug(string, string)
  #1 /srv/mediawiki/php-master/extensions/VisualEditor/ApiVisualEditor.php(623): ApiVisualEditor->storeInSerializationCache(Title, string, string, NULL)
  #2 /srv/mediawiki/php-master/includes/api/ApiMain.php(1406): ApiVisualEditor->execute()
  #3 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAction()
  #4 /srv/mediawiki/php-master/includes/api/ApiMain.php(473): ApiMain->executeActionWithErrorHandling()
  #5 /srv/mediawiki/php-master/api.php(83): ApiMain->execute()
  #6 /srv/mediawiki/w/api.php(3): include(string)
  #7 {main}

Change 297907 had a related patch set uploaded (by Jforrester):
Revert "Use debug() for stash messages to match core"

https://gerrit.wikimedia.org/r/297907

Change 297908 had a related patch set uploaded (by MaxSem):
Revert "Use debug() for stash messages to match core"

https://gerrit.wikimedia.org/r/297908

Change 297907 merged by jenkins-bot:
Revert "Use debug() for stash messages to match core"

https://gerrit.wikimedia.org/r/297907

Change 297908 merged by jenkins-bot:
Revert "Use debug() for stash messages to match core"

https://gerrit.wikimedia.org/r/297908

MaxSem closed this task as Resolved.Jul 7 2016, 10:42 PM
MaxSem claimed this task.
Jdforrester-WMF set the point value for this task to 1.

Change 298677 had a related patch set uploaded (by MaxSem):
Revert "Use debug() for stash messages to match core"

https://gerrit.wikimedia.org/r/298677

Change 298677 merged by jenkins-bot:
Revert "Use debug() for stash messages to match core"

https://gerrit.wikimedia.org/r/298677

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 26 2019, 5:04 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM